Skip to main content
`Ctrl`+`K`

# KSPMonitorErrorDrawLGCreate

Creates the context for the error and preconditioned residual plotter `KSPMonitorErrorDrawLG()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorErrorDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, PetscCtx ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## See Also

KSP: Linear System Solvers, `PETSCVIEWERDRAW`, `KSP`, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`, `KSPMonitorErrorDrawLG()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages